Subject: bug#40315: Graft segmentation faults

From: Christopher Baines <[email-masked]>
Date: Sun, 29 Mar 2020 12:10:37 +0100

Hey,

With recent Guix revisions ([3] for example) I've had some apparently
random segmentation faults with grafts. I've encountered this on two
machines, both times it appears not to happen repeatably, as re-running
the graft can work. I encountered this when running guix package -u, and
running it again eventually worked.

One of the logs mentioned not being able to allocate memory. The machine
this was running on has 16GB of RAM, plus 16GB of swap, and most of the
memory was free, so I think using all of this is unlikely.

1:
/builder for `/gnu/store/0m25akb320nm8w1mwlfm4c61jqd7m3sq-java-swt-4.7.1a.drv' failed due to signal 11 (Segmentation fault)
build of /gnu/store/0m25akb320nm8w1mwlfm4c61jqd7m3sq-java-swt-4.7.1a.drv failed
View build log at '/var/log/guix/drvs/0m/25akb320nm8w1mwlfm4c61jqd7m3sq-java-swt-4.7.1a.drv.bz2'.

→ bzcat /var/log/guix/drvs/0m/25akb320nm8w1mwlfm4c61jqd7m3sq-java-swt-4.7.1a.drv.bz2
grafting '/gnu/store/bzqzjzgwk2vh06skh51hwfxad1g4wgzz-java-swt-4.7.1a' -> '/gnu/store/3ms7y6p4m67ff8i7gm5pda6zgjds4f82-java-swt-4.7.1a'...
madvise failed: Cannot allocate memory

2:
-builder for `/gnu/store/kgp8kxair912nvk500y4c9ckhw91njlg-orcus-0.15.3.drv' failed due to signal 11 (Segmentation fault)
build of /gnu/store/kgp8kxair912nvk500y4c9ckhw91njlg-orcus-0.15.3.drv
failed

3:
→ guix describe
Generation 102	Mar 28 2020 21:48:51	(current)
  guix 735a8d9
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 735a8d997a92518d7d19926e1c8a1e385a98fdce